#ifndef __DHTTemperatureSensor_H__
#define __DHTTemperatureSensor_H__

#include "Arduino.h"
#include <SensorBase.h>
#include <DHT.h>
#include <RF24.h>

class DHTTemperatureSensor : public SensorBase
{
  protected:
    DHT* dht;

  public:
    DHTTemperatureSensor(int sensorPin, char* location, RF24* radio, int senderID);
    void Init();
    void Read();
};

#endif
